RAID API
  1. User
  • DiveRAID frontend public API
    • Search divers
      POST
    • Search instructors
      POST
    • Search dive centers
      POST
    • Search dive centers by country
      GET
  • DiveRAID rest API V1
    • Auth
      • Register a new user
      • Login and receive JWT token
      • Send password reset email
      • Reset password using token
      • Logout and invalidate JWT token
      • Refresh JWT token
      • Verify email address (signed URL)
      • Resend email verification
    • Legacy Auth
      • Legacy login
      • Legacy register
      • Legacy logout
      • Legacy refresh token
      • Legacy reset password
    • Profile
      • Get authenticated user profile
      • Update profile
      • Delete account
      • Update password
      • Update dive center association
    • Diver
      • Courses
        • List active courses
        • List expired courses
        • Get course detail
        • Submit module quiz
        • Get quiz result
        • Submit course exam
        • Get exam result
        • Get skills progress
        • Sign skills (diver)
      • Free Learnings
        • List enrolled free learnings
        • List available free learning courses
        • Enroll in a free learning course
        • Get free learning detail
        • Submit free learning module quiz
        • Get free learning quiz result
      • Certifications
        • List diver certifications
        • Get certification history
        • Get certification quiz result
        • Get certification exam result
        • Get certification skills
      • Dive Logs
        • List dive logs (paginated)
        • Create dive log
        • Get dive log
        • Update dive log
      • Awards
        • List award cards
      • Documents
        • List diver documents
      • Forms
        • List diver forms
      • Medical
        • Get medical questionnaire structure
        • Submit medical questionnaire
      • Store
        • List courses available for purchase
        • Create Stripe payment intent for course
        • Confirm Stripe payment and activate course
        • Get order status
    • Professional
      • Students
        • List students
        • Get student progress
        • Get student quiz result
        • Get student exam result
        • Get student skills progress
        • Sign student skills
      • Certifications
        • List all professional certifications
        • List diver-level certifications
        • List specialty certifications
        • List professional certifications
        • List trainer certifications
        • List examiner certifications
        • Get certification history
        • Get certification quiz result
        • Get certification exam result
        • Get certification skills
      • Classroom
        • List classrooms
        • Get classroom progress (all students)
        • Get classroom student progress
        • Get classroom student quiz result
        • Get classroom student exam result
        • Get classroom student skills
        • Sign classroom student skills
      • Renewals
        • List renewal courses
        • Get renewal progress
        • Submit renewal module quiz
        • Get renewal quiz result
        • Submit renewal exam
        • Get renewal exam result
        • Get renewal skills progress
        • Sign renewal skills
      • Recognitions
        • List recognition courses
      • Dive Logs
        • List student dive logs for a course
        • Get student dive log
        • Sign student dive log
      • Store
        • Create payment intent for student course purchase
        • Confirm student course payment
    • Sync
      • Get sync status
      • Download full course data for offline use
      • Upload offline operations
    • Utility
      • List all countries
      • Get country data
      • Get country divisions (states/provinces)
      • List active dive centers
      • Get dive center details
    • Dive Center
      • Get Dive Center List
      • Get a Dive Center info
    • User
      • Certifications
        • Get User Certifications
        • Get User Certifications Diver
        • Get User Certifications Professional
        • Get Certification Card
      • Get User data
        GET
      • Update password
        PATCH
      • Update User Data
        PATCH
      • Update User Dive Center
        PATCH
    • Utilities
      • Get Country List
      • Get Country details
      • Get Country Divisions
  • Schemas
    • Frontend API Schema
      • DiverSearch
    • SuccessResponse
    • ErrorResponse
    • ValidationErrorResponse
    • TokenResponse
    • UserProfile
    • CourseLog
    • CourseLogDetail
    • QuizResult
    • ExamResult
    • SkillProgress
    • DiveLog
    • Certification
    • PaginatedDiveLogs
    • StoreItem
    • PaymentIntentResponse
    • OrderConfirmResponse
    • OrderStatusResponse
    • InstructorSearch
    • DiveCenterSearch
  1. User

Get User data

Develop Env
https://diveraid.test
Develop Env
https://diveraid.test
GET
https://diveraid.test
api/v2/user
Maintainer:Not configured

API Endpoint: Get User Information#

This endpoint retrieves user information from the DiverAid system. It is a simple GET request that does not require any parameters in the request body.

Request#

Method: GET
URL: https://diveraid.test/api/v1/user
Request Body: None (x-www-form-urlencoded)

Response#

Status Code: 200 OK
Content-Type: application/json
The response will contain a JSON object with the following structure:
{
  "data": {
    "id": 0,
    "uuid": "",
    "raid_id": "",
    "email": "",
    "qualification": "",
    "cast": "",
    "category": "",
    "dive_center": "",
    "dive_center_id": 0,
    "dive_center_date": "",
    "distributor": "",
    "distributor_id": 0,
    "distributor_date": "",
    "first_name": "",
    "last_name": "",
    "full_name": "",
    "nationality": "",
    "country": "",
    "state": "",
    "state_code": "",
    "city": "",
    "address": "",
    "timezone": "",
    "postal_code": "",
    "phone": "",
    "mobile": "",
    "gender": "",
    "dob": "",
    "nok_first_name": "",
    "nok_last_name": "",
    "nok_phone": "",
    "nok_email": "",
    "nok_country": "",
    "avatar": "",
    "e_card": "",
    "status": "",
    "suspension_days": null,
    "restore_date": null,
    "restore_status": null,
    "status_reason": null,
    "professional_status": "",
    "professional_suspension_days": null,
    "professional_restore_date": null,
    "professional_status_reason": null,
    "renewal_date": "",
    "expire_date": "",
    "guardian_first_name": "",
    "guardian_last_name": "",
    "guardian_email": "",
    "guardian_accepted": true,
    "renew_causer": null,
    "renew_reason": null,
    "job_country": "",
    "default_language": "",
    "currency": "",
    "preferred_system": "",
    "vat_rate": 0,
    "gdpr": null,
    "terms": null,
    "policy_accepted_at": null,
    "email_verified_at": "",
    "stripe_id": "",
    "created_at": "",
    "updated_at": ""
  },
  "status": ""
}
The data object includes various user attributes such as id, email, first_name, last_name, and other relevant information. The response will also include a status field indicating the overall status of the request.

Request

None

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://diveraid.testapi/v2/user'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2025-10-06 09:35:55
Previous
Get Certification Card
Next
Update password
Built with